//1. Описати своїми словами навіщо потрібні функції у програмуванні.
// Функції дозволяють багаторазово виконувати частини коду, там, де потрібно
// розробнику. Є можливість виконувати ці частини з різними аргументами.
// В результаті отримуємо можливість багаторазового виконання коду і
// отримуємо зрозуміліший код (з ім'я функції зрозуміло, що вона робить).

//2. Описати своїми словами, навіщо у функцію передавати аргумент.
// Різні аргументи дають можливість виконати функцію і отримати результат,
// відповідний переданим аргументам. Наприклад, функція обчислює  і повертає площу
// прямокутника. Сторони прямокутника є аргументами. В цьому випадку є
// можливість обчислення площі прямокутника з різними сторонами (кожний
// виклик функції з різними аргументами-сторонами дає відповідний результат-площу)

//3. Що таке оператор return та як він працює всередині функції?
// При виконанні функції даний оператор повертає значення, яке знаходиться
// праворуч від нього (тобто, функція повертає значення, яке знаходиться праворуч 
// від оператора return). Є можливість присвоїти змінній результат, який повертає функція.
// Якщо фунція нічого не повертає, змінна буде мати значення undefined.


// 1

let n1;
let n2;
let op;

n1 = prompt("Enter first number");
while (isNaN(+n1) === true || n1 === "") { 
    n1 = prompt("Enter first number", n1);
}

if (n1 !== null) { 
    n2 = prompt("Enter second number");
    while (isNaN(+n2) === true || n2 === "") { 
        n2 = prompt("Enter first number", n2);
    }
}

if (n1 !== null && n2 !== null) { 
    op = prompt("Enter operation: +, -, *, /");
    while (op !== "+" && op !== "-" && op !== "*" && op !== "/" && op !== null) { 
        op = prompt("Enter operation: +, -, *, /", op);
    }
}


function plusMimusMultDev(number1, number2, operation) {
    if (operation === "+") {
        return (+number1 + +number2);
    }
    if (operation === "-") {
        return (+number1 - +number2);
    }
    if (operation === "*") {
        return (+number1 * +number2);
    }
    if (operation === "/") {
        if (+number1 !== 0 && +number2 === 0) {
            return "infinity..."
        }
        else if (+number1 === 0 && +number2 === 0) {
            return "can't calculate..."
        }
        else { 
           return (+number1 / +number2); 
        }        
    }
}    

console.log(plusMimusMultDev(n1, n2, op));
